Subject: Re: bug#46847: 28.0.50; [native-comp] assume pseudo-insns should be verified
From: Andrea Corallo <[email-masked]>
To: Andrea Corallo <[email-masked]>
Cc: [email-masked], Pip Cet <[email-masked]>
Date: Wed, 20 Mar 2024 05:30:04 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm closing this old bug as with 0b0c7da8c80 I've installed a sanitizer
that instruments the code in order to check that compile time value
predictions of mvars are respected at runtime.  Mvars verified are all
mvars being tested by conditional branches, this to verify the correct
CFG/execution of the program.

Enabling sanitizer instrumentation and runtime verification I'm able to
bootstrap the compiler and run all the compiler testsuite.

We might extend this further in the future but I think for now is okay.

Thanks

  Andrea